package org.apache.commons.lang3.text;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Arrays;
import org.apache.commons.lang3.text.StrMatcher;

final class StringMatcher extends StrMatcher {
  private final char[] chars;
  
  StringMatcher(String str) {
    this.chars = str.toCharArray();
  }
  
  public int isMatch(char[] buffer, int pos, int bufferStart, int bufferEnd) {
    int len = this.chars.length;
    if (pos + len > bufferEnd)
      return 0; 
    for (int i = 0; i < this.chars.length; i++, pos++) {
      if (this.chars[i] != buffer[pos])
        return 0; 
    } 
    return len;
  }
  
  public String toString() {
    return super.toString() + ' ' + Arrays.toString(this.chars);
  }
}
